Skip to main content
GET
/
v1
/
chains
/
{chainId}
/
tokens
/
{tokenAddress}
/
info
Get Token Info
curl --request GET \
  --url https://api.gm.ondo.finance/v1/chains/{chainId}/tokens/{tokenAddress}/info \
  --header 'x-api-key: <api-key>'
{
  "token": {
    "tokenAddress": "0x14c3abf95cb9c93a8b82c1cdcb76d72cb87b2d4c",
    "tokenName": "Apple (Ondo Tokenized)",
    "tokenSymbol": "AAPLon",
    "tokenDecimals": 18,
    "tokenSupply": {
      "value": "72.428346190773568025"
    }
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

chainId
enum<string>
required

The chain's identifier including the chain name and chain id.

Available options:
ethereum-1,
bsc-56,
5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d
tokenAddress
string
required

The token contract address

Response

OK

token
object
required